![icons-plus-banner](https://github.com/chouhan-rahul/icons_plus/assets/82075108/184e17b5-c32d-402b-9169-21d13e71022a)

[![GitHub](https://img.shields.io/badge/Rahul_Chouhan-GitHub-black?logo=github)](https://github.com/chouhan-rahul)
_[![Buy Me A Coffee](https://img.shields.io/badge/Donate-Buy_Me_A_Coffee-blue?logo=buymeacoffee)](https://www.buymeacoffee.com/rahulchouhan)_
_[![PayPal](https://img.shields.io/badge/Donate-PayPal-blue?logo=paypal)](https://paypal.me/rahulvchouhan)_
_[![Sponsor](https://img.shields.io/badge/Sponsor-Become_A_Sponsor-blue?logo=githubsponsors)](https://github.com/sponsors/chouhan-rahul)_

## Icons Plus
Icons Plus is a package for Flutter developers that provides a collection of attractive icons from different packs. Developers can use this package to quickly and easily find and add icons to their apps. Icons Plus gives developers access to a variety of design elements that can make their apps look more appealing and modern. Developers can also choose from many popular icon packs to suit their preferences and needs.

## List of Icon sets
Here is the list of all icon sets in Icons Plus.

1. `NEW` [AntDesign](#1-antdesign) version: 5.12.2
2. [Bootstrap](#2-bootstrap) version: 1.11.2
3. [BoxIcons](#3-boxicons) version: 2.1.4
4. `NEW` [Brands Logo](#4-brands)
5. `NEW` [Clarity](#5-clarity) version: 12
6. [EvaIcons](#6-evaicons) version: 1.1.3
7. [Flags Logo](#7-flag)
8. [FontAwesome](#8-fontawesome) version: 6.5.1
9. [HeroIcons](#9-heroicons) version: 2.0.18
10. [Iconsax](#10-iconsax) version: 1.0
11. [IonIcons](#11-ionicons) version: 7.1.0
12. [LineAwesome](#12-lineawesome) version: 1.3.1
13. `NEW` [MingCute](#13-mingcute) version: 2.89
14. [OctIcons](#14-octicons) version: 19.8.0
15. [PixelArtIcons](#15-pixelarticons) version: 1.8
16. `NEW` [TeenyIcons](#16-teenyicons) version: latest
17. `NEW` [ZondIcons](#17-zondicons) version: latest

## 1. AntDesign
AntDesign provides three types of icons: Fill, Outline, and TwoTone icons. To use Fill icons, simply append `_fill` as a suffix. For example, for a fill, you can use `Icon(AntDesign.gitlab_fill)`, while `Icon(AntDesign.sketch_outline)` and `Icon(environment_twotone)` are used for Outline and TwoTone, respectively.

![AntDesign](https://github.com/chouhan-rahul/icons_plus/assets/82075108/b079fa57-6130-499f-b441-d9a612b0e4aa)

```dart
  Icon(AntDesign.gitlab_fill),
  Icon(AntDesign.sketch_outline),
  Icon(AntDesign.environment_twotone),
```

## 2. Bootstrap
Bootstrap offers two types of icons: Outline and Fill icons. If you prefer using fill icons, simply add `_fill` as a suffix. For instance, if you want a filled heart, use `Icon(Bootstrap.heart_fill)`, whereas for an outlined heart, use `Icon(Bootstrap.heart)`.

![Bootstrap](https://github.com/chouhan-rahul/icons_plus/assets/82075108/70852984-2897-432a-a10d-ec50c7166c86)

```dart
  Icon(Bootstrap.google),
  Icon(Bootstrap.bootstrap),
  Icon(Bootstrap.github),
```

## 3. BoxIcons
BoxIcons provides three types of icons: Regular, Solid, and Logo icons. To use Regular icons, simply add `bx_` as a prefix. For example, for a regular, you can use `Icon(BoxIcons.bx_git_branch)`, while `Icon(bxs_cookie)` and `Icon(BoxIcons.bxl_apple)` are used for Solid and Logo, respectively.

![BoxIcons](https://github.com/chouhan-rahul/icons_plus/assets/82075108/db324cab-6663-4ab2-af48-9d3bc3e9a42a)

```dart
  Icon(BoxIcons.bxl_apple),
  Icon(BoxIcons.bx_git_branch),
  Icon(BoxIcons.bxs_cookie),
```

## 4. Brands
Here's an example showing how to use Brands Logo.

![Brands](https://github.com/chouhan-rahul/icons_plus/assets/82075108/c0bb0ed8-25c4-4035-82a9-db8ab71af12d)

```dart
  Brand(Brands.icons8),
  Brand(Brands.the_big_bang_theory),
  Brand(Brands.android_studio),
```

## 5. Clarity
Clarity provides three types of icons: Outline, Solid, and Line icons. To use Outline icons, simply append `_outline` as a suffix. `_solid` and `_line` are used for Solid and Line, respectively.

![Claity](https://github.com/chouhan-rahul/icons_plus/assets/82075108/3e3995de-0318-4a15-9390-6de4bad05601)

```dart
  Icon(Clarity.map_outline_badged),
  Icon(Clarity.application_solid),
  Icon(Clarity.camera_line),
```

## 6. EvaIcons
EvaIcons offers two types of icons: Outline and Fill icons. If you prefer using outline icons, simply add `_outline` as a suffix.

![EvaIcons](https://github.com/chouhan-rahul/icons_plus/assets/82075108/0540c185-e843-4429-9eb6-339894f3eed3)

```dart
  Icon(EvaIcons.clipboard),
  Icon(EvaIcons.flash),
  Icon(EvaIcons.clipboard_outline),
```

## 7. Flag
Here's an example showing how to use Flags.

![Flags](https://github.com/chouhan-rahul/icons_plus/assets/82075108/4cb2060c-6a4e-415f-be64-95504cfbf7f9)

```dart
  Flag(Flags.india),
  Flag(Flags.united_kingdom),
  Flag(Flags.united_states_of_america),
```

## 8. FontAwesome
FontAwesome provides three types of icons: Regular, Solid, and Brand icons. To use Solid icons, simply append `_solid` as a suffix. For example, for a solid, you can use `Icon(FontAwesome.bug_solid)`, while `Icon(FontAwesome.folder_open)` and `Icon(FontAwesome.stripe_brand)` are used for Regular and Brand, respectively.

![FontAwesome](https://github.com/chouhan-rahul/icons_plus/assets/82075108/604352ab-b725-49ca-acf4-bd4c5e092cd9)

```dart
  Icon(FontAwesome.stripe_brand),
  Icon(FontAwesome.folder_open),
  Icon(FontAwesome.bug_solid),
```

## 9. HeroIcons
Here's an example showing how to use HeroIcons.

![HeroIcons](https://github.com/chouhan-rahul/icons_plus/assets/82075108/15ec217a-9567-4b2d-8057-13a76bdac507)

```dart
  Icon(HeroIcons.printer),
  Icon(HeroIcons.pencil_square),
  Icon(HeroIcons.play_circle),
```

## 10. Iconsax
Iconsax provides three types of icons: Bold, Bulk, and Outline icons. To use Bold icons, simply append `_bold` as a suffix. For example, for a bold, you can use `Icon(Iconsax.cake_bold)`, while `Icon(Iconsax.clock_bulk)` and `Icon(Iconsax.dollar_circle_outline)` are used for Bulk and Outline, respectively.

![Iconsax](https://github.com/chouhan-rahul/icons_plus/assets/82075108/1318d2cf-0323-4e4f-9a45-a282b8542e40)

```dart
  Icon(Iconsax.cake_bold),
  Icon(Iconsax.clock_bulk),
  Icon(Iconsax.dollar_circle_outline),
```

## 11. IonIcons
Here's an example showing how to use IonIcons.

![IonIcons](https://github.com/chouhan-rahul/icons_plus/assets/82075108/d117fe37-24a9-4b8a-9a15-57bd55cb9b5d)

```dart
  Icon(IonIcons.bug),
  Icon(IonIcons.finger_print),
  Icon(IonIcons.logo_react),
```

## 12. LineAwesome
Here's an example showing how to use LineAwesome icons.

![LineAwesome](https://github.com/chouhan-rahul/icons_plus/assets/82075108/617c19c6-dd2b-4ff3-928b-2918d0e62319)

```dart
  Icon(LineAwesome.amazon),
  Icon(LineAwesome.birthday_cake_solid),
  Icon(LineAwesome.cc_visa),
```

## 13. MingCute
Here's an example showing how to use MingCute icons.

![MingCute](https://github.com/chouhan-rahul/icons_plus/assets/82075108/39edffb1-1020-4d7c-9d48-23e19d50fa5d)

```dart
  Icon(MingCute.knife_line),
  Icon(MingCute.badminton_line),
  Icon(MingCute.currency_bitcoin_fill),
```

## 14. OctIcons
Here's an example showing how to use OctIcons.

![OctIcons](https://github.com/chouhan-rahul/icons_plus/assets/82075108/fb6a8253-c837-4d9d-8831-50c9cf6bf712)

```dart
  Icon(OctIcons.code_of_conduct),
  Icon(OctIcons.copilot),
  Icon(OctIcons.verified),
```

## 15. PixelArtIcons
Here's an example showing how to use PixelArtIcons.

![PixelArtIcons](https://github.com/chouhan-rahul/icons_plus/assets/82075108/37c0d860-26ac-4eaf-a030-22873bf92f30)

```dart
  Icon(PixelArtIcons.gif),
  Icon(PixelArtIcons.human),
  Icon(PixelArtIcons.heart),
```

## 16. TeenyIcons
Here's an example showing how to use TeenyIcons.

![TeenyIcons](https://github.com/chouhan-rahul/icons_plus/assets/82075108/d60b3997-0434-49b1-ac72-ef87b4f53ff8)

```dart
  Icon(TeenyIcons.google_play_store),
  Icon(TeenyIcons.heart),
  Icon(TeenyIcons.android),
```

## 17. ZondIcons
Here's an example showing how to use ZondIcons.

![ZondIcons](https://github.com/chouhan-rahul/icons_plus/assets/82075108/f0c0ac16-7a08-47dd-93dc-ef3380c0273f)

```dart
  Icon(ZondIcons.shield),
  Icon(ZondIcons.trophy),
  Icon(ZondIcons.coffee),
```

> Copyright © **[Rahul Chouhan](https://github.com/chouhan-rahul)**. Licensed under the _[MIT LICENSE](https://github.com/chouhan-rahul/icons_plus/blob/main/LICENSE)_